import { defineNuxtModule, createResolver, addPlugin } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "ots-nuxt-bootstrap",
    configKey: "otsNuxtBootstrap"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  setup(options, nuxt) {
    const resolver = createResolver(import.meta.url);
    addPlugin(resolver.resolve("./runtime/useBootstrap.client"));
    addPlugin(resolver.resolve("./runtime/usePopper.client"));
  }
});

export { module as default };
